function printArrayEx (array_val)
{
	print (
		"printArrayEx size = " + array_val . len () +
		"\n"
	);
	for( local i = 0; i < array_val . len (); i++ )
	{
		print (
			format (
				"  array [ %d ] = %s\n",
				i,
				array_val[ i ] == null ? "null" : array_val[ i ] . tostring ()
			)
		);
	}
}


local a = [
	1,
	2,
	3
];


// 配列のサイズを変更する
// 配列のサイズは既存のものより小さくなるので、この場合だと「3」という値が消える
a . resize (2);
printArrayEx (a);


// 配列のサイズを変更する
// 配列の大きさは2から5へと大きくなる
// 新しくできる分の初期値は設定していないため、nullが設定されている
a . resize (5);
printArrayEx (a);


// 配列のサイズを変更する
// 今度は初期値を設定しているため、新しい要素にはこの値が設定されている
a . resize (7, "new element");
printArrayEx (a);
