function printArrayEx (array_val)
{
	print (
		"printArrayEx size = " + array_val . len () +
		"\n"
	);
	for( local i = 0; i < array_val . len (); i++ )
	{
		print (
			format (
				"  array [ %d ] = %s\n",
				i,
				array_val[ i ] == null ? "null" : array_val[ i ] . tostring ()
			)
		);
	}
}


local a = [
	1,
	2,
	3,
	4,
	5
];


// 3番目以降末尾までを切り出す
local aa = a . slice (3);
printArrayEx (aa);


// 終了位置に負の数を指定すると、末尾から先頭方向に向かって終了位置を数える
local ab = a . slice (0, -2);
printArrayEx (ab);


// 開始位置に負の数を指定すると、末尾から先頭方向に向かって開始位置を数える
// (-4、-2)と指定するのは、(1, 3)と指定するのと同じ意味を持つ
local ac = a . slice (-4, -2);
printArrayEx (ac);
