/*{{{*/
/*
class Foo
{
	function _delslot (key) {
		print ("delete slot, key = " + key + "\n");
	}

	m = 10;
};

local foo = Foo ();
delete foo . m;
//*/
/*}}}*/

// メタメソッド定義を持つテーブル
local T =
{
	function _delslot (key) {
		print ("delete slot, key = " + key + "\n");
	}
	foo = 10
};


// delegate先にTを指定したテーブル
local t = delegate T :
{};


// スロット削除
delete t . foo;
