// グローバル変数
foo <- 100; // (a)
bar <- 200; // (b)

print ("1:" + foo + "\n");
print ("2:" + bar + "\n"); 

// ブロック定義によるスコープの開始
{
	// ローカル変数 (c)、このブロック内でのみ有効
	local bar = 300;

	// fooはグローバル変数(a)、barはローカル変数(c)を見る
	print ("3:" + foo + "\n");
	print ("4:" + bar + "\n");
}

{
	// ローカル変数 (d)、このブロック内でのみ有効
	local foo = 400;

	// fooはローカル変数(d)、barはグローバル変数(b)を見る
	print ("5:" + foo + "\n");
	print ("6:" + bar + "\n");
}
